be.fgov.ehealth.seals.core.v1

## Class ChoiceDecodedDataErrorType

- java.lang.Object
- - be.fgov.ehealth.seals.core.v1.ChoiceDecodedDataErrorType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T10:57:39+01:00",
                 comments="JAXB RI v2.2.11")
      public class ChoiceDecodedDataErrorType
      extends Object
      implements Serializable

  Switch for returning decoded data or an error.

  Java class for ChoiceDecodedDataErrorType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ChoiceDecodedDataErrorType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice>
               <element name="DecodedData" type="{urn:be:fgov:ehealth:seals:core:v1}DecodedDataType"/>
               <element name="Error" type="{urn:be:fgov:ehealth:seals:core:v1}ErrorType"/>
             </choice>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChoiceDecodedDataErrorType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DecodedDataType` | `getDecodedData()` Gets the value of the decodedData property.
    `ErrorType` | `getError()` Gets the value of the error property.
    `void` | `setDecodedData(DecodedDataType value)` Sets the value of the decodedData property.
    `void` | `setError(ErrorType value)` Sets the value of the error property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChoiceDecodedDataErrorType

          public ChoiceDecodedDataErrorType()

  - ### Method Detail

    - #### getError

          public ErrorType getError()

      Gets the value of the error property.
      Returns:
        possible object is `ErrorType`

    - #### setError

          public void setError(ErrorType value)

      Sets the value of the error property.
      Parameters:
        `value` - allowed object is `ErrorType`

    - #### getDecodedData

          public DecodedDataType getDecodedData()

      Gets the value of the decodedData property.
      Returns:
        possible object is `DecodedDataType`

    - #### setDecodedData

          public void setDecodedData(DecodedDataType value)

      Sets the value of the decodedData property.
      Parameters:
        `value` - allowed object is `DecodedDataType`

Connector Packaging PERSPRACTICALNURSE 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.